bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#17292: 24.3.90; ELPA : "make" makes an error compiling ada-build.el


From: Stephen Leake
Subject: bug#17292: 24.3.90; ELPA : "make" makes an error compiling ada-build.el
Date: Sat, 19 Apr 2014 10:11:22 -0500
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (windows-nt)

Nicolas Richard <address@hidden> writes:

> I cloned the elpa git repo, ran "make externals" and "make", then got:

I get:

packages/ada-mode/ada-build.el:41:1:Error: Cannot open load file: wisi

> In toplevel form:
> packages/ada-mode/ada-build.el:41:1:Error: Cannot open load file:
> aucun fichier ou dossier de ce type, wisi-compat-24.2
> make[1]: *** [packages/ada-mode/ada-build.elc] Erreur 1
> make[1] : on quitte le répertoire « /home/youngfrog/sources/elpa »
> make: *** [all-in-place] Erreur 2

Apparently this make process does not take into account inter-package
dependencies; ada-mode depends on wisi, and both were upgraded this
morning.

Do you have an older version of 'wisi' installed in ~/.emacs.d/elpa/?
That would explain your symptom.

Is there any way to indicate to the make process that it must build wisi
first, and add it to the load path when building ada-mode?

-- 
-- Stephe





reply via email to

[Prev in Thread] Current Thread [Next in Thread]